/*

   Catty v3 configuration parameters
   ---------------------------------
   Copyright (C) 2004 by Michal Zalewski <lcamtuf@coredump.cx>

   A bunch of mildly customizable settings for the masses.

*/

#ifndef _HAVE_CONFIG_H
#define _HAVE_CONFIG_H

/* Maximum number of knowledge base topics */
#define MAXTOPICS  10000

/* Maximum number of phrases per topic */
#define MAXPHRASES 400

/* Maximum number of words per phrase */
#define MAXWORDS   50

/* Maximum length of a single word */
#define MAXWLEN    30

/* Maximum keywords per topic definition */
#define MAXKEY     6

/* Maximum number of popular words per topic */
#define MAXPOP     105

/* Working line buffer */
#define LINEBUF    4096

/* Repeat history */
#define REPEAT_LOG 64

/* Context lines */
#define KEEP_CTX   4

/* Knowledge database */
#define KBASE      "data/knowledge"

/* Excuse database */
#define EXCUSES    "data/excuses"

/* Max number of excuses */
#define MAXEXC	   1024

#endif /* !_HAVE_CONFIG_H */

